package com.rc.httpcore.vo.response;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * info
 *
 * @author ReiChin_
 */
public class HxpUserecord implements Parcelable {

    public String collectStockNum; // 领用时库存
    public String collectTime; // 领用时间
    public String deptId; // 部门ID
    public String id;
    public String outOneUser; // 领用第一验证人
    public String outTwoUser; // 领用第二验证人
    public String returnStockNum; // 归还时称重重量
    public String returnTime; // 归还时间
    public String returnType; // 归还方式（1是称重，2是录入）
    public String stockId; // 库存ID
    public String useStatus; // 状态

    public HxpUserecord() {
    }

    protected HxpUserecord(Parcel in) {
        collectStockNum = in.readString();
        collectTime = in.readString();
        deptId = in.readString();
        id = in.readString();
        outOneUser = in.readString();
        outTwoUser = in.readString();
        returnStockNum = in.readString();
        returnTime = in.readString();
        returnType = in.readString();
        stockId = in.readString();
        useStatus = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(collectStockNum);
        dest.writeString(collectTime);
        dest.writeString(deptId);
        dest.writeString(id);
        dest.writeString(outOneUser);
        dest.writeString(outTwoUser);
        dest.writeString(returnStockNum);
        dest.writeString(returnTime);
        dest.writeString(returnType);
        dest.writeString(stockId);
        dest.writeString(useStatus);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<HxpUserecord> CREATOR = new Creator<HxpUserecord>() {
        @Override
        public HxpUserecord createFromParcel(Parcel in) {
            return new HxpUserecord(in);
        }

        @Override
        public HxpUserecord[] newArray(int size) {
            return new HxpUserecord[size];
        }
    };
}
